KVM_GETFILES(3)

NAME
kvm_getfiles - survey open files

LIBRARY
libkvm

SYNOPSIS
#include <kvm.h>
#include <sys/types.h>
#define _KERNEL
#include <sys/file.h>
#undef _KERNEL
char *
kvm_getfiles(kvm_t *kd, int op, int arg, int *cnt);

DESCRIPTION
kvm_getfiles() returns a (sub-)set of the open files in the kernel indicated by kd. The op and arg arguments constitute a predicate which limits the set of files returned. No predicates are currently defined.

The number of processes found is returned in the reference parameter cnt. The files are returned as a contiguous array of file structures, preceded by the address of the first file entry in the kernel. This memory is owned by kvm and is not guaranteed to be persistent across subsequent kvm library calls. Data should be copied out if it needs to be saved.

RETURN VALUES
kvm_getfiles() will return NULL on failure.

BUGS
This routine does not belong in the kvm interface.

SEE ALSO
kvm(3), kvm_close(3), kvm_geterr(3), kvm_nlist(3), kvm_open(3), kvm_openfiles(3), kvm_read(3), kvm_write(3)